wibble::commandline::ArgList Class Reference

`#include <core.h>`

Inheritance diagram for wibble::commandline::ArgList:
[legend]
Collaboration diagram for wibble::commandline::ArgList:
[legend]

## Public Member Functions

iterator & | eraseAndAdvance (iterator &i)

## Static Public Member Functions

static bool | isSwitch (const char *str)
static bool | isSwitch (const std::string &str)
static bool | isSwitch (const const_iterator &iter)
static bool | isSwitch (const iterator &iter)

## Member Function Documentation

## eraseAndAdvance()

iterator& wibble::commandline::ArgList::eraseAndAdvance | ( | iterator & | i | ) |

inline

References wibble::list::end(), and wibble::iterator().

Referenced by wibble::commandline::Engine::add(), TestCommandlineCore::eraseAndAdvance(), wibble::commandline::SingleOption< T >::parse(), wibble::commandline::VectorOption< T >::parse(), and wibble::commandline::Engine::parseFirstIfKnown().

## isSwitch() [1/4]

bool wibble::commandline::ArgList::isSwitch | ( | const char * | str | ) |

static

Referenced by wibble::commandline::Engine::add(), TestCommandlineCore::isSwitch(), isSwitch(), wibble::commandline::Engine::parse(), and wibble::commandline::Engine::parseKnownSwitches().

## isSwitch() [2/4]

bool wibble::commandline::ArgList::isSwitch | ( | const std::string & | str | ) |

static

## isSwitch() [3/4]

bool wibble::commandline::ArgList::isSwitch | ( | const const_iterator & | iter | ) |

static

References isSwitch().

## isSwitch() [4/4]

bool wibble::commandline::ArgList::isSwitch | ( | const iterator & | iter | ) |

static

References isSwitch().

The documentation for this class was generated from the following files:

- core.h
- core.cpp